#C Alabama Spotted Sea Trout SS 1-season YEAR STARTS JULY 1
#C Erin C. Bohaboy, erin.bohaboy@ufl.edu, September 2018
###################################################

1       # N growth patterns (per sex)
1       # N sub morphs within patterns
1       # N block patterns
1	# blocks per pattern
2000 2015	# pattern 1 - practical min size recreational 12 to 14 inch in 2000

# Mortality and growth specifications
0.5     # Fraction female (birth)
3       # M setup: 0=single parameter,1=breakpoints,2=Lorenzen,3=age-specific;4=age-specific,seasonal interpolation
# Female (pooled male and female overall M = 0.35)
# A0	A1	A2	A3	A4	A5	A6	A7	A8	A9
0.91	0.46	0.35	0.3	0.27	0.26	0.25	0.24	0.24	0.23
# Male
# A0	A1	A2	A3	A4	A5	A6	A7	A8	A9
0.84	0.53	0.42	0.36	0.33	0.31	0.3	0.29	0.28	0.28
1       # Growth model: 1=VB with L1 and L2, 2=Schnutes/Richards 3-param, 3=VB age specific K 
0       # Age for growth Lmin
999     # Age for growth Lmax (999=A@Linf)
0.0     # Constant added to SD of LAA (0.1 mimics SS2v1 for compatibility only)
0       # CV_pattern (i.e. last two growth vars)- Variability of growth: 0=CV~f(LAA), 1=CV~f(A), 2=SD~f(LAA), 3=SD~f(A). if =0 than CV is a regular space prop. 2 and 3 sets param to be a std dev
1       # maturity_option:  1=length logistic; 2=age logistic; 3=read age-maturity matrix by growth_pattern; 4=read age-fecundity; 5=read fec and wt from wtatage.ss (Empiracle) must have other lines here specified but most don't matter.
1       # First age allowed to mature
4       # Fecundity option:(1)eggs=Wt*(a+b*Wt);(2)eggs=a*L^b;(3)eggs=a*Wt^b; (4)eggs=a+b*L
0       # Hermaphroditism option:  0=none; 1=age-specific fxn
1       # MG parm offset option: 1=none (estimate for males and females sep), 2= M,G,CV_G as offset from GP1, 3=like SS2v1
1       # MG parm env/block/dev_adjust_method: 1=standard; 2=logistic transform keeps in base parm bounds; 3=standard w/ no bound check

# prior type: -1 = none, 0=normal, 1=symmetric beta, 2=full beta, 3=lognormal
# Lo     Hi     Init    Prior   Prior   Prior   Param   Env     Use     Dev     Dev     Dev     Block   block
# bnd    bnd    value   mean    type    Se      phase   var     dev     minyr   maxyr   SD      design  switch
## Growth parameters(Females)
10      26      16.2     14.2    -1      99       -4       0       0       0       0       0       0       0       # [2] Length of an age 0 (cm)
45      80      64.8       55    -1      99       -4       0       0       0       0       0       0       0       # [3] Linf F (cm)
0.2     0.6     0.39     0.56    -1      99       -4       0       0       0       0       0       0       0       # [4] VBK
0.03    0.3     0.20     0.146   -1      99       -5       0       0       0       0       0       0       0       # [6] REGULAR SPACE- CV of len@age 0
0.001   0.2     0.06     0.149   -1      99       -5       0       0       0       0       0       0       0       # [7] REGULAR SPACE- CV of len@age inf
### Growth parameters(Males)
12      25       17.5    14.6    -1      99       -4       0       0       0       0       0       0       0       # [9] Length of an age 0 (cm)
45      65       54.7    60.6    -1      99       -4       0       0       0       0       0       0       0       # [10] Linf
0.1     0.6      0.33    0.24    -1      99       -4       0       0       0       0       0       0       0       # [11] VBK
0.01    0.3      0.14   0.113    -1      99       -5       0       0       0       0       0       0       0       # [13] REGULAR SPACE- CV of len@age 0 
0.001   0.5      0.11   0.111    -1      99       -5       0       0       0       0       0       0       0       # [14] REGULAR SPACE- CV of len@age inf
# Female W-L
1E-08   1E-04  1.44E-05 1.44E-05 -1      99       -5       0       0       0       0       0       0       0     # F W-L slope
2.5     3.5    2.89     2.89     -1      99       -5       0       0       0       0       0       0       0     # F W-L exponent
# Female Maturity and Fedundity
5       50      34       34      -1      99       -5       0       0       0       0       0       0       0     # F L at 50% maturity
-2     -0.001  -0.5     -0.5     -1      99       -5       0       0       0       0       0       0       0     # F Logistic maturity slope MUST BE NEGATIVE
# Female Fecund option 4
-1E10   1E10   -3.5E06 -3.5E06   -1      99       -5       0       0       0       0       0       0       0     # F Eggs/cm intercept 
10      1E08   1.47E05 1.47E05   -1      99       -5       0       0       0       0       0       0       0     # F Eggs/cm slope
# Male W-L
1E-08	1E-04  1.45E-05 1.45E-05 -1      99       -5       0       0       0       0       0       0       0	# M W-L slope
2.5     3.5    2.88     2.88     -1      99       -5       0       0       0       0       0       0       0	# M W-L exponent

# Unused recruitment interactions - placeholders
0	0	0	0	-1	0	-4	0	0	0	0	0	0	0	#-RecrDist_GP_1
0	0	0	0	-1	0	-4	0	0	0	0	0	0	0	#_RecrDist_Area_1
0	0	0	0	-1	0	-4	0	0	0	0	0	0	0	#_RecrDist_Seas_1
0	0	0	0	-1	0	-4	0	0	0	0	0	0	0	#_CohortGrowDev
#_seasonal_effects_on_biology_parms - placeholder										
0	0	0	0	0	0	0	0	0	0	#_femwtlen1,femwtlen2,mat1,mat2,fec1,fec2,Malewtlen1,malewtlen2,L1,K

# Spawner-recruit parameters
3 # S-R function: 1=B-H w/flat top, 2=Ricker, 3=standard B-H, 4=no steepness or bias adjustment
# Lo    Hi      Init    Prior   Prior   Prior   Param
# bnd   bnd     value   mean    type    SD      phase
5       16      7       7       -1      99       1      # Ln(R0)
0.2     0.99    0.85    0.77     2      0.088    5      # Steepness
0.1     1.6     0.65    0.60     3      0.30     3      # Sigma-R
-5      5       0       0       -1      99      -50     # Env link coefficient
-5      5       0       0       -1      99      -50     # Initial equilibrium recruitment offset
 0      2       0       1       -1      99      -50     # Autocorrelation in rec devs
0 # index of environmental variable to be used
0 # SR environmental target: 0=none;1=devs;_2=R0;_3=steepness
1 # Recruitment deviation type: 0=none; 1=devvector (sum to zero); 2=simple deviations

# Recruitment deviations
1987    # Main rec devs start year
2015    # Main rec devs end year
2       # Main rec devs phase
1 	# Read 11 advanced recruitment options: 0=no, 1=yes
1982    # early rec dev start year
3       # Phase for early rec devs - AFTER main rec devs
-4       # Phase for forecast recruit deviations - typically very last POSITIVE PHASE WILL ESTIMATE AT ~0
1       # Lambda for forecast recr devs before endyr+1

1954.2  #_last_early_yr_nobias_adj_in_MPD 
2006  	# First year of full bias correction (should be a few years into data rich period- linear ramp from year above)
2014.6  # First_recent_yr_nobias_adj_in_MPD
2014.8  #_first_recent_yr_nobias_adj_in_MPD 
0.95    # Maximum bias adjustment in MPD
0       # Period of cycles in recruitment (N parms read below)
-2      # Lower bound rec devs (lnspace)
2       # Upper bound rec devs
0       # Read init values for rec devs

# Fishing mortality setup
0.1     # F ballpark for tuning early phases
-1999   # F ballpark year (early phases start on F from this year, - = ignore)
3       # F method:  1=Pope's (exploitation, assumes catch is known); 2=Instan. F; 3=Hybrid (Baranov). RICK RECOMMENDS F METHOD 3 BUT model will not converge properly so sticking with Pope's
2       # Max F or harvest rate (depends on F_Method)
10	# for f method 3

# Init F parameters by fleet init must be 0 if initial equilibrium catch is zero. Otherwise guess if init_catch > 0
#LO     HI      INIT    PRIOR   PR_type SD      PHASE
0       1       0.0     0.01    -1      99       1	#MRIP
0       1       0.0     0.01    -1      99       1	#MRIP Dead Discards
0       1       0.0     0.01    -1      99       1	#MRIP Live Discards
0       1       0.0     0.01    -1      99       1	#Commercial

# Catchability setup
# A=do power: 0=skip, survey is prop. to abundance, 1= add par for non-linearity
# B=env. link: 0=skip, 1= add par for env. effect on Q
# C=extra SD: 0=skip, 1= add par. for additive constant to input SE (in ln space) (i.e. if in log space 0.47, allow to be a little higher)
# D=type: <0=mirror lower abs(#) fleet, 0=no par Q is median unbiased, 1=no par Q is mean unbiased, 2=estimate par for ln(Q) - tricky
#          3=ln(Q) + set of devs about ln(Q) for all years. 4=ln(Q) + set of devs about Q for indexyr-1
#A      B       C       D	one line for each fleet
0       0       0       0        # MRIP
0       0       0       0        # MRIP Dead Discards
0       0       0       0        # MRIP Live Discards
0       0       0       0        # Commercial
0       0       0       0        # MRD Gillnet
0       0       0       0        # BP

#_SELEX_&_RETENTION_PARAMETERS
# Size-based setup see table on page 69 of manual
# A=Selex option: 1-24 (1:logistic, 24:dblnorm)
# B=Do_retention: 0=no, 1=yes
# C=Male offset to female: 0=no, 1=yes
# D=Extra input (#)
# A B C D
# Size selectivity
#A	B	C	D
1       0       0       0  # MRIP Index
24      0       0       0  # MRIP Dead Discards
24      0       0       0  # MRIP Live Discards
24      0       0       0  # Commercial 12" Max length starts 1963
24      0       0       0  # MRD Gillnet = double norm since small gillnet won't catch very large
0       0       0       0  # BP

# use age selex for beam plankton only (all = YOY)
0      0       0       0   # MRIP Index
0      0       0       0   # MRIP Dead Discards
0      0       0       0   # MRIP Live Discards
0      0       0       0   # Commercial
0      0       0       0   # MRD Gillnet
11     0       0       0   # BP

# Selectivity parameters - LENGTH BASED
# Lo    Hi      Init    Prior   Prior   Prior   Param     Env  Use  Dev    Dev   Dev Block   block
# bnd   bnd     value   mean    type    SD      phase     var  dev  minyr  maxyr SD  design  switch
# MRIP - logistic pattern- see below for both blocks
 0.01    50       30     -1      -1      0.01     2        0    0    0       0    0    1        2 # inflection
 0.01    5        3.5    -1      -1      0.01     2        0    0    0       0    0    1        2 # slope
# MRIP dead discards - dblnorm pattern 24 - 6 params
 12     25       22.21   -1      -1      0.01    -1        0    0    0       0    0    1        2 # peak
 -4    -1        -3.27   -1      -1      0.01    -1        0    0    0       0    0    1        2 # top
 -4    12        3.82    -1      -1      0.01    -1        0    0    0       0    0    1        2 # asc-width
 2.5    6        3.05    -1      -1      0.01    -2        0    0    0       0    0    1        2 # desc-width
 -1001  6        -15     -1      -1      0.01    -2        0    0    0       0    0    1        2 # init selectivity
 -1001  5        -5      -1      -1      0.01    -2        0    0    0       0    0    1        2 # final selectivity
# MRIP live discards - dblnorm pattern 24 - 6 params
 12     25       22.21   -1      -1      0.01    -2        0    0    0       0    0    1        2 # 
 -4    -1        -3.27   -1      -1      0.01    -2        0    0    0       0    0    1        2 # 
 -4    12        3.82    -1      -1      0.01    -2        0    0    0       0    0    1        2 # 
 2.5    6        3.05    -1      -1      0.01    -2        0    0    0       0    0    1        2 # 
 -1001  6        -15     -1      -1      0.01    -2        0    0    0       0    0    1        2 # 
 -1001  5        -5      -1      -1      0.01    -2        0    0    0       0    0    1        2 # 
# Commercial - dblnorm pattern 24 - 6 params
 14     50       26      -1      -1      0.01    -1        0    0    0       0    0    0        0 # 
-3      3        0.01    -1      -1      0.01    -1        0    0    0       0    0    0        0 # 
 0.01   12       4.6     -1      -1      0.01    -1        0    0    0       0    0    0        0 # 
-6      6        5.5     -1      -1      0.01    -1        0    0    0       0    0    0        0 # 
-20     6        -15     -1      -1      0.01    -1        0    0    0       0    0    0        0 # 
-20     5        -5      -1      -1      0.01    -1        0    0    0       0    0    0        0 # 
# MRD Gillnet - dblnorm pattern 24 - 6 params
 15    45        30      -1      -1      0.01     2        0    0    0       0    0    0        0 # 
 -10    3       -1.2     -1      -1      0.01     2        0    0    0       0    0    0        0 # 
 -4    12        3       -1      -1      0.01     4        0    0    0       0    0    0        0 # 
 -2     6        5.6     -1      -1      0.01     4        0    0    0       0    0    0        0 # 
 -1001  5        -999    -1      -1      0.01     -4        0    0    0       0    0    0        0 # 
 -1001  5        -999    -1      -1      0.01     -4        0    0    0       0    0    0        0 # 

# Selectivity parameters - AGE BASED for BP only
# Lo    Hi      Init    Prior   Prior   Prior   Param     Env  Use  Dev    Dev   Dev Block   block
# bnd   bnd     value   mean    type    SD      phase     var  dev  minyr  maxyr SD  design  switch
# BP - pattern 11 "pick min max age"
 -0.1    4      0.5     -1      -1      0.01     -4        0    0    0       0    0    0        0 #
 -0.1    4      0.5     -1      -1      0.01     -4        0    0    0       0    0    0        0 #

1 #_custom_sel-blk_setup (0/1)
# Lo    Hi      Init    Prior   Prior   Prior   Param
# bnd   bnd     value   mean    type    SD      phase
0.01    50      35.3     -1      -1      0.01     2             # MRIP post-2000 inflection
0.01    6       4.2      -1      -1      0.01     2             # MRIP post-2000 slope 
12      25      15.0     -1      -1      0.01     -1            # MRIP_Ddisc post-2000 peak
-4     -1       -1.1     -1      -1      0.01     -1            # MRIP_Ddisc post-2000 top
-4    12        3.82     -1      -1      0.01     -1            # MRIP_Ddisc post-2000 asc-width
2.5    6        3.05     -1      -1      0.01     -2            # MRIP_Ddisc post-2000 desc-width
-1001  6        -15      -1      -1      0.01     -2            # MRIP_Ddisc post-2000 init selectivity
-1001  5        -5       -1      -1      0.01     -2            # MRIP_Ddisc post-2000 final selectivity
12      25      15.0     -1      -1      0.01     -2            # MRIP_Ldisc post-2000 peak
-4     -1       -1.1     -1      -1      0.01     -2            # MRIP_Ldisc post-2000 top
-4    12        3.82     -1      -1      0.01     -2            # MRIP_Ldisc post-2000 asc-width
2.5    6        3.05     -1      -1      0.01     -2            # MRIP_Ldisc post-2000 desc-width
-1001  6        -15      -1      -1      0.01     -2            # MRIP_Ldisc post-2000 init selectivity
-1001  5        -5       -1      -1      0.01     -2            # MRIP_Ldisc post-2000 final selectivity
  
2 #_env/block/dev_adjust_method (1=standard; 2=logistic trans to keep in base parm bounds; 3=standard w/ no bound check)
0 # Tagging flag: 0=no tagging parameters,1=read tagging parameters

### Likelihood related quantities
1 # Do variance/sample size adjustments by fleet
#MRIP MRIPDDisc	MRIPLdisc Com	Gillnet	   BP
 0    	0	0	0	0    	   0 	# Constant added to index CV
 0    	0	0	0	0    	   0	# Constant added to discard SD
 0    	0	0	0	0    	   0	# Constant added to body weight SD
 1    	1	1	1	1 	   1    # multiplicative scalar for length comps
 1    	1	1	1	1 	   1    # multiplicative scalar for agecomps
 1    	1	1	1	1 	   1	# multiplicative scalar for length at age obs
 # NOTE: For beam plankton, all were age 0 so variance = 0 so effective sample size is 1 - do not adjust

1  # Lambda phasing: 1=none, 2+=change beginning in phase 1
1  # Growth offset likelihood constant for Log(s): 1=include, 2=not

0  # N changes to default Lambdas = 1.0
0  # Extra SD reporting switch

999 # End control file
