#C Alabama Spotted Sea Trout SS 1-season model
#C Erin C. Bohaboy, erin.bohaboy@ufl.edu, September 2018 
###################################################

1       # Benchmarks: 0=skip; 1=calc F_spr,F_btgt,F_msy
2       # MSY: 1= set to F(SPR); 2=calc F(MSY); 3=set to F(Btgt); 4=set to F(endyr) I think this input is ignored if I specify Fs or catches later?
0.30    # SPR target
0.01    # Biomass target
# bio forecast- assume 2011-2015 (last 5 years of data) - must give ranges for each quantity even if not use F so I assume F years ignored here?
2011 2015  2011 2015  2011 2015 # Years to use to forecast benchmarks: beg_bio; end_bio; beg_selex; end_selex; beg_relF; end_relF
1       # Bmark_relF_Basis: 1 = use year range; 2 = set relF same as forecast below
0       # Forecast option: 0=none; 1=F(SPR); 2=F(MSY) 3=F(Btgt); 4=Ave F (use first-last alloc yrs); 5=input annual F scalar
10      # N forecast years
1.0     # F scalar (only used for Do_Forecast==5)
# F Forecast- assume 2011-2015
2011 2015  2011 2015 # Fcast_years:  beg_selex end_selex beg_alloc end_alloc
2       # Control rule method (1=catch=f(SSB) west coast; 2=F=f(SSB) )
1       # Control rule Biomass level for constant F (as frac of Bzero, e.g. 0.40)
0.000001    # Control rule Biomass level for no F (as frac of Bzero, e.g. 0.10)
1.0     # Control rule target as fraction of Flimit (e.g. 0.75)
3       # N forecast loops (1-3) (fixed at 3 for now)
3       # First forecast loop with stochastic recruitment
0       # Forecast loop control #3 (reserved)
0       #_Forecast loop control #4 (reserved for future bells&whistles)
0       #_Forecast loop control #5 (reserved for future bells&whistles)
2030    # FirstYear for caps and allocations (should be after any fixed inputs)
0.0     # implementation error: stddev of log(realized catch/target catch) in forecast
0       # Do West Coast gfish rebuilder output (0/1)
2030    # Rebuilder: first year catch could have been set to zero (Ydecl)(-1 to set to 1999)
2030    # Rebuilder: year for current age structure (Yinit) (-1 to set to endyear+1)
1	# fleet relative F:  1=use first-last alloc year; 2=read seas(row) x fleet(col) below
5	# basis for fcast catch tuning and for fcast catch caps and allocation  (2=deadbio; 3=retainbio; 5=deadnum; 6=retainnum)
# 0.89  0.05  0.06  0	# fleet relative F conditioned input- here I am using the 2000-2010 (inclusive) average
-1 -1 -1 -1 # max totalcatch by fleet (-1 to have no max)
-1      # max totalcatch by area (-1 to have no max)
1  1  1  0 # fleet assignment to allocation group (enter group ID# for each fleet, 0 for not included in an alloc group)
1 1 1 1 1 1 1 1 1 1	# allocation among group(s)
40 	# Number of forecast catch levels to input (else calc catch from forecast F)
-1 	# basis for input Fcast catch:  2=dead catch; 3=retained catch; 99=input Hrate(F)
# input forecast catches
# year	season	fleet	THOU	F_cast_basis
2017	1	1	384.48	2
2018	1	1	384.48	2
2019	1	1	384.48	2
2020	1	1	384.48	2
2021	1	1	384.48	2
2022	1	1	384.48	2
2023	1	1	384.48	2
2024	1	1	384.48	2
2025	1	1	384.48	2
2026	1	1	384.48	2
2017	1	2	110.93	2
2018	1	2	110.93	2
2019	1	2	110.93	2
2020	1	2	110.93	2
2021	1	2	110.93	2
2022	1	2	110.93	2
2023	1	2	110.93	2
2024	1	2	110.93	2
2025	1	2	110.93	2
2026	1	2	110.93	2
2017	1	3	85.52	2
2018	1	3	85.52	2
2019	1	3	85.52	2
2020	1	3	85.52	2
2021	1	3	85.52	2
2022	1	3	85.52	2
2023	1	3	85.52	2
2024	1	3	85.52	2
2025	1	3	85.52	2
2026	1	3	85.52	2
2017	1	4	0	2
2018	1	4	0	2
2019	1	4	0	2
2020	1	4	0	2
2021	1	4	0	2
2022	1	4	0	2
2023	1	4	0	2
2024	1	4	0	2
2025	1	4	0	2
2026	1	4	0	2
999 # verify end of input